AGAVEAssemblyHandler (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.agave.AGAVEAssemblyHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io.agave
Class AGAVEAssemblyHandler

    java.lang.Object
      org.biojava.bio.seq.io.agave.StAXContentHandlerBase
          org.biojava.bio.seq.io.agave.StAXFeatureHandler
              org.biojava.bio.seq.io.agave.AGAVEAssemblyHandler

All Implemented Interfaces:
  SequenceHandler, StAXContentHandler

    public class AGAVEAssemblyHandler

extends StAXFeatureHandler
implements SequenceHandler

Author:
  David Huen, Hanning Ni Doubletwist Inc

Field Summary
`static StAXHandlerFactory` | `AGAVE_ASSEMBLY_HANDLER_FACTORY`

Fields inherited from class org.biojava.bio.seq.io.agave.StAXFeatureHandler
`annot, callbackStack, endLoc, featureListener, featureTemplate, myLocalName, stackLevel, startLoc, staxenv, subFeatures`

Method Summary

Methods inherited from class org.biojava.bio.seq.io.agave.StAXFeatureHandler
`addFeatureToSequence, addHandler, createTemplate, endElement, endElementHandler, getFeatureListener, getHandlerStackIterator, getLevel, pop, push, realizeSubFeatures, setFeatureListener, setHandlerCharacteristics, setProperty, startElement, startElementHandler`

Methods inherited from class org.biojava.bio.seq.io.agave.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AGAVE_ASSEMBLY_HANDLER_FACTORY

    public static final StAXHandlerFactory AGAVE_ASSEMBLY_HANDLER_FACTORY

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD